# WCET of RX tasks guessed by hand, we would need 2 itérations to get it from the base WCET
numOfCores: 12
deadline: 1000000
period: 1000000
nodes:
  N1:
    assignedTo: 0
    order: 0
    traceName: N1_ex3_naive # Includes memory demand for Copy 1
    release: 0
    deps: []
    deadline: 1000000
  N10:
    assignedTo: 0
    order: 3
    traceName: N10_ex3
    release: 0
    deps: [N3, EOT1]
    deadline: 1000000
  N3:
    assignedTo: 1
    order: 0
    traceName: N3_ex3
    release: 0
    deps: []
    accessTo:
      - [N10, 10]
    deadline: 1000000
  N4:
    assignedTo: 1
    order: 1
    traceName: N4_ex3
    release: 0
    deps: [N3]
    deadline: 1000000
  N5:
    assignedTo: 0
    order: 4
    traceName: N5_ex3
    release: 0
    deps: [RX2, N10]
    deadline: 1000000
  Copy1:
    assignedTo: 0
    order: 1
    traceName: Copy1_ex3_naive # Memory demand is in N1 to avoid double penalty
    release: 0
    deps: [N1]
    deadline: 1000000
  EOT1:
    assignedTo: 0
    order: 2
    traceName: EOT
    release: 0
    deps: [Copy1]
    deadline: 1000000
  N2:
    assignedTo: 10
    order: 0
    traceName: N2_ex3_naive
    release: 0
    deps: []
    deadline: 1000000
  N9:
    assignedTo: 10
    order: 3
    traceName: N9_ex3
    release: 0
    deps: [N6, EOT2]
    deadline: 1000000
  N6:
    assignedTo: 11
    order: 0
    traceName: N6_ex3
    release: 0
    deps: []
    accessTo:
      - [N9, 10]
    deadline: 1000000
  N7:
    assignedTo: 11
    order: 1
    traceName: N7_ex3
    release: 0
    deps: [N6]
    deadline: 1000000
  N8:
    assignedTo: 10
    order: 4
    traceName: N8_ex3
    release: 0
    deps: [N9, RX1]
    deadline: 1000000
  Copy2:
    assignedTo: 10
    order: 1
    traceName: Copy2_ex3_naive
    release: 0
    deps: [N2]
    deadline: 1000000
  EOT2:
    assignedTo: 10
    order: 2
    traceName: EOT
    release: 0
    deps: [Copy2]
    deadline: 1000000
RxAccesses:
  RX1:
    order: 0
    accessTo: [[N8, 20]]
    traceName: RX1_ex3_naive
    release: 0
    assignedTo: -10
    deadline: 1000000
    deps: []
  RX2:
    order: 1
    accessTo: [[N5, 20]]
    traceName: RX2_ex3_naive
    release: 0
    assignedTo: -10
    deadline: 1000000
    deps: []
schedulable: 1

# spec. arch Bostan
